MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003958ATutor- no cat -public2009-10-13 04:332013-02-28 14:38
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0003958: Date() for timezone
DescriptionApparently PHP 5.3.0+ requires use of the date.timezone setting or the date_default_timezone_set() function
Additional InformationE.G. [Sat Oct 10 12:01:14 2009] [error] [client 10.91.44.26] PHP Warning: date(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'Asia/Calcutta' for '5.5/no DST' instead in C:\\Program Files\\Apache Group\\Apache2\\htdocs\\ATutor\\include\\lib\\output.inc.php on line 188, referer: http://10.91.44.8/ATutor/admin/users.php [^]
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships
related to 0003926closedcindy Replace deprecated php functions and usages from ATutor 
related to 0003959closedcindy assign value by referecne deprecated 
related to 0003740closedgreg Timezone offset does not get applied to dates drop down 

-  Notes
(0003848)
cindy (administrator)
2009-11-09 06:06

date_default_timezone_set() sets the default timezone to be like 'America/Los_Angeles'. In order to use it, our current design of setting an offset number of hours on "timezone" input field needs to be changed to a drop down list with all the available timezones. And the rule of setting time zone needs to be changed to that the user timezone overrides the admin timezone, instead of the current rule that user timezone and admin timezone are both included into calculation.

This change will be considered after release.
(0006143)
greg (administrator)
2013-02-28 14:38

na

- Issue History
Date Modified Username Field Change
2009-10-13 04:33 greg New Issue
2009-10-13 04:33 greg Affects version => SVN
2009-10-13 04:34 greg Relationship added related to 0003926
2009-10-13 04:40 greg Relationship added related to 0003959
2009-11-04 11:31 greg Status new => assigned
2009-11-04 11:31 greg Assigned To => cindy
2009-11-09 06:06 cindy Note Added: 0003848
2011-08-30 14:26 harris Relationship added related to 0003740
2013-02-28 14:38 greg Note Added: 0006143
2013-02-28 14:38 greg Status assigned => closed
2013-02-28 14:38 greg Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker